Aggiornare adobe flash player, Java Runtime Environment e QuickTime Plug-in

Ritratto di fortu
Forum: 

Con pclinuxos kde uso firefox, il quale mi avvisa che bisogna aggiornare i plugin dei pacchetti in oggetto. Qualcuno può indicarmi come devo fare? Grazie

Ritratto di francesco bat

Se ne sta parlando gia qui:

http://www.pclinuxos.it/forum/varie/vivere-senza-flash

Ciao

Francesco bat

Ritratto di fortu

E java come si aggiorna su firefox

Ritratto di francesco bat

fortu wrote:

E java come si aggiorna su firefox

Se hai installato Java dal synaptic (o se è già installato nel sistema, ora non ricordo), si aggiorna in automatico quando fai ogni tanto gli aggiornamenti e viene inserita una nuova versione Smile

Ciao

Francesco bat

Ritratto di fortu

Mi viene un dubbio, gli aggiornamenti si fanno cliccando sul pulsante ricarica in synaptic e poi marca tutti gli aggiornamaneti, qualora ce ne fossero clicco applica e poi installo. Se la procedura è giusta non ci sono attualmente aggiornamenti per java, nonostante che nella scheda dei plugin di firefox mi inidca che la versione installata presenta delle vulnerabilità e andrebbe aggiornata.

Ritratto di adrianomorselli

Pclinuxos è una rolling, significa che gli aggiornamenti vengono proposti solo quando i manutentori sono sicuri che non rompono il sistema. Che versione hai di Java (OpenJDK) ?

Ritratto di fortu

Java-sun versione 1.8.0.45-1pclos2015

Ritratto di adrianomorselli

Ho trovato diversi riferimenti anche in questo forum e non è assolutamente da imputarsi a pclinuxos purtroppo, altrimenti avrebbero già risolto. Vedi di conviverci finchè non verrà rilasciato la nuova versione. Io su debian uso openjdk che non mi dà nessun problema, ma ho visto che invece su pclos è da lungo tempo che si usa java-sun.

Ritratto di fortu

Ok Grazie, aspetterò la nuova versione.

 

Ritratto di dxgiusti

controlla se hai installato:

task-java

nel caso installalo.

Ritratto di adrianomorselli

@dxgiusti io ho installato task-java ed il plugin incriminato da fortu, java(TM) 11.4.5.2 in firefox è segnalato come vulnerabile anche sulla mia pclinuxos. Invece su Debian con Openjdk no. Purtroppo non è presente in synaptic, potrei anche installarlo ma non riceverei nessun aggiornamento.

Ritratto di adrianomorselli

Bug accertato, adesso occorre attendere che venga risolto

https://bugzilla.mozilla.org/show_bug.cgi?id=1183369

Ritratto di adrianomorselli

Eventualmente è possibile fixare la cosa ingannando firefox, basta andare a modificare il file pluginred.dat che si trova nei file nascosti della home sotto .mozilla/firefox/xxxxxx.default e modificare sotto PLUGINS in 11.45.2.1 salvare e riavviare firefox

Ritratto di fortu

Quale dei due qui sotto devo modificare, e se qualche altra riga da modificare?

Next Generation Java Plug-in 11.45.2 for Mozilla browsers:$
Java(TM) Plug-in 11.45.2:$

Ritratto di adrianomorselli

Per sicurezza io ho modificato tutte e due, da 11.45.2 a 11.45.2.1, salva e poi riavvia firefox e controlla nei plugin Smile

Ritratto di fortu

E poi quando arrivano gli aggiornamenti dai manutentori che succede?

Ritratto di adrianomorselli

Tranquillo, questo fix serve solo ad ingannare firefox, quando arriveranno i pacchetti dai manutentori il file verrà modificato in base alla nuova versione di sun-java. Se tu fossi un developer di java web ti direi di (ma lo sapresti già) di disinstallare questo plugin, ma nel tuo caso non è necessario.

Ritratto di fortu

Ok Adriano, l'abbiamo preso in giro, grazie. un altra domanda mi consigli di eliminare il plugin di adobe flash dato che l'ho disattivato sostituendolo con il codec openH 264.

Ritratto di fortu

Mi sembra che il plugin di adobe non si può eliminare dal browser, ma solo disattivare. Vero?

Ritratto di Hertz

fortu wrote:

Mi sembra che il plugin di adobe non si può eliminare dal browser, ma solo disattivare. Vero?

Buonasera fortu,

Adobe Flash Player il plugin si può eliminare completamente disinstallando il pacchetto flash-player-plugin da Synaptic.

La stessa cosa si può fare anche con i pacchetti fresh-player-plugin e chromiun-pepper-flash.

Ritratto di fortu

Ok grazie.

Ritratto di hobby

Non so se dipende dal famigerato Flash Player plugin, ma mi succede questo:
su un portatile Acer a 32 bit è installata la versione 11.2.202.491-1pclos2015 di 17,5 MB.
Vedo bene tutti i video di Youtube.
Su un pc fisso a 64 bit è installata la versione 11.2.202.481-pclos2015 di 19.3 MB e FireFox mi blocca tutti i video.
Credo che la versione .491 sia sicuramente più recente ed è già caricata in Synaptic a 32 bit mentre a 64 bit non è ancora stato aggiornata.
Ho notato che spesso tra 32 e 64 passa qualche giorno.
Ho ragione?
Saluti

Ritratto di adrianomorselli

Oggi è presente l'aggiornamento java-sun 11.51.2, fallo e vedrai che l'avviso è scomparso. E se invece avevi usato il mio fix adesso viene riportata la versione corrente.

Ritratto di hobby

In Synaptic tovo solamente "java-1.8.0-sun"

Dove posso trovare l'aggiornamento  "java-sun 11.51.2" ?

grazie

 

Ritratto di adrianomorselli

Ops refuso mio, intendevo il plugin java-sun su firefox Wink se installi java-sun 1.8.0 se lo porta addietro

Ritratto di hobby

Questa mattina è arrivata la versione "491" di flash player. L'ho installata e tutto ha ripreso a funzionare bene.

"java-1.8.0-sun" è già installato.

Grazie per i consigli

Ciao